MDKA-2007:001 : samba

High Nessus Plugin ID 24539


The remote Mandrake host is missing one or more security-related patches.


A number of minor issues were present in the samba packages shipped with Mandriva 2007.0. For users with filesystem quotas, samba would not indicate the remaining quota as the free disk space (as intended). Problems with storing accounts with upper-case usernames in the smbpasswd passdb backend (tdbsam and ldapsam were not affected). Errors in the pam.d file used in samba for pam 0.9x prevented pam authentication (SWAT, and authentication to samba when using 'obey pam restrictions = yes'). Users were being denied access to shares which have a 'valid users' statement including a group the user is a member of.

These issues have all been fixed in the updated packages. Note that some of these fixes were only available in a new upstream version of samba, which also changes some behaviour. Please consult the release notes ( before upgrading. Specifically, note the 'RID Algorithms & Passdb' if you use samba as a file server in a domain context.


Update the affected package(s).

See Also

Plugin Details

Severity: High

ID: 24539

File Name: mandrake_MDKA-2007-001.nasl

Version: $Revision: 1.9 $

Type: local

Published: 2007/02/18

Modified: 2012/09/07

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: cpe:/o:mandriva:linux

Required KB Items: Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2007/01/04